ZHA/Multipan/Skyconnect Integration suddenly broken

Hi there!
2 days ago my home assistant crashed (it sometimes does that, I’m still trying to figure out what exactly is causing it) and after the manual restart, my ZHA integration refused to start up.
I use a SkyConnect USB plug (yes with the extension cord to avoid interference) and have enabled MultiPan although I don’t use Thread/Matter yet.
I have tried reloading the integration countless times, also disabled and reenabled the integration, disabled it, restarted HA, enabled it and also tried rebooting and restarting the whole HA and the RaspberryPi 3 it runs on, several times.
I had 2023.3.0 running just fine, but it seems like it updated to 2023.3.1 without asking, is that possible? If I noticed correctly, it did so and my integration broke at that point. I have since tried to upgrade to 2023.3.2, but that also didnt help.

Below you will find the logs of the failed integration startup.
I think this is from trying to set up the physical controller:

Logger: homeassistant.components.zha.core.gateway
Source: components/zha/core/gateway.py:185
Integration: Zigbee Home Automation (documentation, issues)
First occurred: 17:15:55 (3 occurrences)
Last logged: 17:16:16

Couldn't start EZSP = Silicon Labs EmberZNet protocol: Elelabs, HUSBZB-1, Telegesis coordinator (attempt 1 of 3)
Couldn't start EZSP = Silicon Labs EmberZNet protocol: Elelabs, HUSBZB-1, Telegesis coordinator (attempt 2 of 3)
Couldn't start EZSP = Silicon Labs EmberZNet protocol: Elelabs, HUSBZB-1, Telegesis coordinator (attempt 3 of 3)
Traceback (most recent call last):
  File "/usr/local/lib/python3.10/asyncio/tasks.py", line 456, in wait_for
    return fut.result()
asyncio.exceptions.CancelledError

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/components/zha/core/gateway.py", line 185, in async_initialize
    self.application_controller = await app_controller_cls.new(
  File "/usr/local/lib/python3.10/site-packages/zigpy/application.py", line 171, in new
    await app.startup(auto_form=auto_form)
  File "/usr/local/lib/python3.10/site-packages/zigpy/application.py", line 145, in startup
    await self.connect()
  File "/usr/local/lib/python3.10/site-packages/bellows/zigbee/application.py", line 124, in connect
    self._ezsp = await bellows.ezsp.EZSP.initialize(self.config)
  File "/usr/local/lib/python3.10/site-packages/bellows/ezsp/__init__.py", line 105, in initialize
    await ezsp._startup_reset()
  File "/usr/local/lib/python3.10/site-packages/bellows/ezsp/__init__.py", line 96, in _startup_reset
    await self.reset()
  File "/usr/local/lib/python3.10/site-packages/bellows/ezsp/__init__.py", line 125, in reset
    await self._gw.reset()
  File "/usr/local/lib/python3.10/site-packages/bellows/uart.py", line 260, in reset
    return await asyncio.wait_for(self._reset_future, timeout=RESET_TIMEOUT)
  File "/usr/local/lib/python3.10/asyncio/tasks.py", line 458, in wait_for
    raise exceptions.TimeoutError() from exc
asyncio.exceptions.TimeoutError

And I think this is from trying to setup the integration:

Logger: homeassistant.config_entries
Source: components/zha/core/gateway.py:185
First occurred: 17:16:16 (1 occurrences)
Last logged: 17:16:16

Error setting up entry SkyConnect Multi-PAN for zha
Traceback (most recent call last):
  File "/usr/local/lib/python3.10/asyncio/tasks.py", line 456, in wait_for
    return fut.result()
asyncio.exceptions.CancelledError

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/config_entries.py", line 383, in async_setup
    result = await component.async_setup_entry(hass, self)
  File "/usr/src/homeassistant/homeassistant/components/zha/__init__.py", line 122, in async_setup_entry
    await zha_gateway.async_initialize()
  File "/usr/src/homeassistant/homeassistant/components/zha/core/gateway.py", line 200, in async_initialize
    raise exc
  File "/usr/src/homeassistant/homeassistant/components/zha/core/gateway.py", line 185, in async_initialize
    self.application_controller = await app_controller_cls.new(
  File "/usr/local/lib/python3.10/site-packages/zigpy/application.py", line 171, in new
    await app.startup(auto_form=auto_form)
  File "/usr/local/lib/python3.10/site-packages/zigpy/application.py", line 145, in startup
    await self.connect()
  File "/usr/local/lib/python3.10/site-packages/bellows/zigbee/application.py", line 124, in connect
    self._ezsp = await bellows.ezsp.EZSP.initialize(self.config)
  File "/usr/local/lib/python3.10/site-packages/bellows/ezsp/__init__.py", line 105, in initialize
    await ezsp._startup_reset()
  File "/usr/local/lib/python3.10/site-packages/bellows/ezsp/__init__.py", line 96, in _startup_reset
    await self.reset()
  File "/usr/local/lib/python3.10/site-packages/bellows/ezsp/__init__.py", line 125, in reset
    await self._gw.reset()
  File "/usr/local/lib/python3.10/site-packages/bellows/uart.py", line 260, in reset
    return await asyncio.wait_for(self._reset_future, timeout=RESET_TIMEOUT)
  File "/usr/local/lib/python3.10/asyncio/tasks.py", line 458, in wait_for
    raise exceptions.TimeoutError() from exc
asyncio.exceptions.TimeoutError

I also got a bunch of warnings in the logs because it failed to setup my automations, which include ZigBee devices, but I don’t think you will need those.

I tried putting them into collapseable thingies, but couldn’t find the option in the editor.

Any help would be greatly appreciated!!

I have just gotten the same issue.

I updated the follwowing before the issue started:

core_2023.4.5
addon_core_samba_10.0.0
addon_core_configurator_5.5.0
addon_a0d7b954_nodered_14.1.4
addon_a0d7b954_vscode_5.5.6

I have done reboot, the normal stuff.
Running a Sky Connect that has worked fine untill just now.

I resolved the issue by deactivating the multiprotocol addon and reflashing the firmware via the webtool from Home Assistant with my PC back to ZigBee-only-firmware.
The multiprotocol firmware was the issue why the stick kept crashing.
Hope this helps :slight_smile:

I got this result by opening an issue on the HomeAssistant Github and got a reply within one day!

I will answer myself if anyone else gets this issue.

What I did was to remove the Sky Connect device from my Qnap and added it again.
Reloaded the integration and is is now working…

did you have to repair all the devices and rebuild the ZB network?

It’s been quite some time now, but if I remember correctly, I did not have to repair everything